﻿@using SYM.SearchEngine.MvcApp.Helpers;
@model SYM.DataAccessLayer.user_profile

@{ 
    string city = "";
    if (Model.geo_city != null)
    {
        city = Model.geo_city.city_name;
    }
}

@using (Html.BeginForm("Edit", "Profile", FormMethod.Post, new { role = "form" }))
{
    @*<input type="hidden" name="country" id="country" value="@Model.country_id" />*@
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label class="control-label">@SYM.Localization.Resources.Views.Profile.Settings.FirstName <span class="required" aria-required="true">*</span></label>
                <input type="text" name="firstname" placeholder="" class="form-control" value="@Model.profile_firstName" />
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="control-label">@SYM.Localization.Resources.Views.Profile.Settings.LastName </label>
                <input type="text" name="lastname" placeholder="" class="form-control" value="@Model.profile_lastName" />
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label class="control-label">@SYM.Localization.Resources.Views.Profile.Settings.OutdoorActivities</label>
                @HtmlHelpers.DropDownListBootstrap("tags_interests", ViewBag.Activity, "5", true)
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="control-label">@SYM.Localization.Resources.Views.Profile.Settings.Role</label>
                @HtmlHelpers.DropDownListBootstrap("role", ViewBag.Role, "5", false)
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="control-label">Website or Blog</label>
                <input type="url" name="website" placeholder="Url (eg. http://personalblog.com/...)" class="form-control" value="@Model.profile_website" />
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label class="control-label">@SYM.Localization.Resources.Views.Profile.Settings.Region <span class="required" aria-required="true">*</span></label>
                <select id="region" name="regions" class="form-control select2">
                    <option value="@Model.region_id" selected="selected">@Model.geo_region.region_name</option>
                </select>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="control-label">@SYM.Localization.Resources.Views.Profile.Settings.City </label>
                <select id="city" name="city" class="form-control select2">
                    <option value="@Model.city_id">@city</option>
                </select>
            </div>
        </div>
    </div>
    <div class="form-group">
        <label class="control-label">@SYM.Localization.Resources.Views.Profile.Settings.AboutMe</label>
        <textarea name="about" class="form-control" rows="2" placeholder="Enter your short description...">@Model.profile_bio</textarea>
    </div>
    <div class="margiv-top-10">
        <button type="submit" class="btn green-meadow">@SYM.Localization.Resources.Views.Profile.Settings.Save</button>
        <span style="float: right;">
            Last Modify: @Model.profile_dateMod
        </span>
    </div>
}
<div id="LoaderElement" name="LoaderElement" style="display: none">
    <img src="~/Content/Images/ajax-loader.gif" />
</div>